Subject: Re: Problem with git-svn with limited SVN access

From: Thomas Rast <[email-masked]>
Date: Wed, 9 Nov 2011 23:38:25 +0100

Antoine Bonavita wrote:
> ### If I try to add one of the branches manually:
> branches = branches/XXX:refs/remotes/branches/XXX
>  > git svn fetch
> One '*' is needed in glob: 'branches/XXX'

I think having several fetch specs should do the trick, although I
cannot easily test with actual permissions.

You can start configuring the repo with

  git init
  git svn init svn://server/ -T trunk

to get an initial layout.  The .git/config will look like

  [svn-remote "svn"]
          url = svn://server/
          fetch = trunk:refs/remotes/trunk

The clue is that the config says 'fetch', not 'trunk'.  Much like with
git remotes, you can add more fetch specs along the lines of

          fetch = branches/XXX:refs/remotes/svn/XXX

or whatever layout you prefer.

Please tell us whether that works even in the face of restrictions on
branches/ itself :-)

-- 
Thomas Rast
trast@{inf,student}.ethz.ch